Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph
Interface Graph.CreateAt<Next>

Type Parameters:
  `Next` - The interface that is to be returned when this create request is completed

All Superinterfaces:
  Graph.Conjunction<Next>

Enclosing class:
  Graph

    public static interface Graph.CreateAt<Next>

extends Graph.Conjunction<Next>

The interface for defining additional properties on a new node.

Method Summary
`Graph.CreateAt<Next>` | `and(Iterable<Property> properties)` Specify property that should the new node should have.
`Graph.CreateAt<Next>` | `and(Name propertyName, Object... values)` Specify a property that should the new node should have.
`Graph.CreateAt<Next>` | `and(Property property)` Specify a property that should the new node should have.
`Graph.CreateAt<Next>` | `and(Property firstProperty, Property... additionalProperties)` Specify properties that should the new node should have.
`Graph.CreateAt<Next>` | `and(String propertyName, Object... values)` Specify a property that should the new node should have.
`Graph.CreateAt<Next>` | `and(UUID uuid)` Specify the UUID that should the new node should have.
`Location` | `getLocation()` Complete this request, submit it, and return the actual location of the created node.
`Node` | `getNode()` Complete this request, submit it, and return the actual node that was created.
`Graph.CreateAt<Next>` | `with(Iterable<Property> properties)` Specify property that should the new node should have.
`Graph.CreateAt<Next>` | `with(Name propertyName, Object... values)` Specify a property that should the new node should have.
`Graph.CreateAt<Next>` | `with(Property property)` Specify a property that should the new node should have.
`Graph.CreateAt<Next>` | `with(Property firstProperty, Property... additionalProperties)` Specify properties that should the new node should have.
`Graph.CreateAt<Next>` | `with(String propertyName, Object... values)` Specify a property that should the new node should have.
`Graph.CreateAt<Next>` | `with(UUID uuid)` Specify the UUID that should the new node should have.

Methods inherited from interface org.modeshape.graph.Graph.Conjunction
`and`

Method Detail

### with

    Graph.CreateAt<Next> with(UUID uuid)

  Specify the UUID that should the new node should have. This is an alias for `and(UUID)`.

  Parameters:
    `uuid` - the UUID
  Returns:
    this same interface so additional properties may be added

### with

    Graph.CreateAt<Next> with(Property property)

  Specify a property that should the new node should have. This is an alias for `and(Property)`.

  Parameters:
    `property` - the property
  Returns:
    this same interface so additional properties may be added

### with

    Graph.CreateAt<Next> with(Iterable<Property> properties)

  Specify property that should the new node should have. This is an alias for `and(Iterable)`.

  Parameters:
    `properties` - the properties that should be added
  Returns:
    this same interface so additional properties may be added

### with

    Graph.CreateAt<Next> with(String propertyName,
                              Object... values)

  Specify a property that should the new node should have. This is an alias for `and(String, Object...)`.

  Parameters:
    `propertyName` - the name of the property
    `values` - the property values
  Returns:
    this same interface so additional properties may be added

### with

    Graph.CreateAt<Next> with(Name propertyName,
                              Object... values)

  Specify a property that should the new node should have. This is an alias for `and(Name, Object...)`.

  Parameters:
    `propertyName` - the name of the property
    `values` - the property values
  Returns:
    this same interface so additional properties may be added

### with

    Graph.CreateAt<Next> with(Property firstProperty,
                              Property... additionalProperties)

  Specify properties that should the new node should have. This is an alias for `and(Property, Property...)`.

  Parameters:
    `firstProperty` - the first property
    `additionalProperties` - the additional property
  Returns:
    this same interface so additional properties may be added

### and

    Graph.CreateAt<Next> and(UUID uuid)

  Specify the UUID that should the new node should have.

  Parameters:
    `uuid` - the UUID
  Returns:
    this same interface so additional properties may be added

### and

    Graph.CreateAt<Next> and(Property property)

  Specify a property that should the new node should have.

  Parameters:
    `property` - the property
  Returns:
    this same interface so additional properties may be added

### and

    Graph.CreateAt<Next> and(Iterable<Property> properties)

  Specify property that should the new node should have. This is equivalent to calling `and(Property)` for each of the properties in the supplied `Iterable`.

  Parameters:
    `properties` - the properties that should be added
  Returns:
    this same interface so additional properties may be added

### and

    Graph.CreateAt<Next> and(String propertyName,
                             Object... values)

  Specify a property that should the new node should have.

  Parameters:
    `propertyName` - the name of the property
    `values` - the property values
  Returns:
    this same interface so additional properties may be added

### and

    Graph.CreateAt<Next> and(Name propertyName,
                             Object... values)

  Specify a property that should the new node should have.

  Parameters:
    `propertyName` - the name of the property
    `values` - the property values
  Returns:
    this same interface so additional properties may be added

### and

    Graph.CreateAt<Next> and(Property firstProperty,
                             Property... additionalProperties)

  Specify properties that should the new node should have.

  Parameters:
    `firstProperty` - the first property
    `additionalProperties` - the additional property
  Returns:
    this same interface so additional properties may be added

### getLocation

    Location getLocation()

  Complete this request, submit it, and return the actual location of the created node.

  Returns:
    the actual location of the just-created node; never null

### getNode

    Node getNode()

  Complete this request, submit it, and return the actual node that was created.

  Returns:
    the actual node that was just created; never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.